<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__http__server__defines" kind="group">
    <compoundname>http_server_defines</compoundname>
    <title>Macros</title>
      <sectiondef kind="define">
      <memberdef id="group__http__server__defines_1ga425a68fa7a0370bc6e5860c5071ff678" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_HTTP_SERVER_ERR_CODE_START</name>
        <initializer>(0)</initializer>
        <briefdescription>
<para>Results returned by HTTP Server Library. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="90" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="90" />
      </memberdef>
      <memberdef id="group__http__server__defines_1gadf0bfe131ef6b6df00ccd63fc5c3f97d" kind="define" prot="public" static="no">
        <name>CY_RSLT_HTTP_SERVER_ERR_BASE</name>
        <initializer>CY_RSLT_CREATE(CY_RSLT_TYPE_ERROR, CY_RSLT_MODULE_HTTP_SERVER, <ref kindref="member" refid="group__http__server__defines_1ga425a68fa7a0370bc6e5860c5071ff678">CY_RSLT_MODULE_HTTP_SERVER_ERR_CODE_START</ref>)</initializer>
        <briefdescription>
<para>HTTP server error code base. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="93" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="93" />
      </memberdef>
      <memberdef id="group__http__server__defines_1gaf2c796290719bbed06260345115fa4d5" kind="define" prot="public" static="no">
        <name>CY_RSLT_HTTP_SERVER_ERROR_NO_MEMORY</name>
        <initializer>((cy_rslt_t)(<ref kindref="member" refid="group__http__server__defines_1gadf0bfe131ef6b6df00ccd63fc5c3f97d">CY_RSLT_HTTP_SERVER_ERR_BASE</ref> + 1))</initializer>
        <briefdescription>
<para>Out of memory. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="96" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="96" />
      </memberdef>
      <memberdef id="group__http__server__defines_1ga78e074584fe1b9db59719da68d789e45" kind="define" prot="public" static="no">
        <name>CY_RSLT_HTTP_SERVER_ERROR_THREAD_INIT</name>
        <initializer>((cy_rslt_t)(<ref kindref="member" refid="group__http__server__defines_1gadf0bfe131ef6b6df00ccd63fc5c3f97d">CY_RSLT_HTTP_SERVER_ERR_BASE</ref> + 2))</initializer>
        <briefdescription>
<para>Error initializing thread. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="98" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="98" />
      </memberdef>
      <memberdef id="group__http__server__defines_1gaea7661da0e5f47dc3189a74cf46c3bc9" kind="define" prot="public" static="no">
        <name>CY_RSLT_HTTP_SERVER_ERROR_QUEUE_INIT</name>
        <initializer>((cy_rslt_t)(<ref kindref="member" refid="group__http__server__defines_1gadf0bfe131ef6b6df00ccd63fc5c3f97d">CY_RSLT_HTTP_SERVER_ERR_BASE</ref> + 3))</initializer>
        <briefdescription>
<para>Error initializing queue. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="100" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="100" />
      </memberdef>
      <memberdef id="group__http__server__defines_1gad0fc4a3f2264b1cb8782f1c786007c4e" kind="define" prot="public" static="no">
        <name>CY_RSLT_HTTP_SERVER_ERROR_MUTEX_INIT</name>
        <initializer>((cy_rslt_t)(<ref kindref="member" refid="group__http__server__defines_1gadf0bfe131ef6b6df00ccd63fc5c3f97d">CY_RSLT_HTTP_SERVER_ERR_BASE</ref> + 4))</initializer>
        <briefdescription>
<para>Error initializing mutex. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="102" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="102" />
      </memberdef>
      <memberdef id="group__http__server__defines_1ga4a0578b0b02fac0f388a8f42d24c2438" kind="define" prot="public" static="no">
        <name>CY_RSLT_HTTP_SERVER_ERROR_TCP_SERVER_START</name>
        <initializer>((cy_rslt_t)(<ref kindref="member" refid="group__http__server__defines_1gadf0bfe131ef6b6df00ccd63fc5c3f97d">CY_RSLT_HTTP_SERVER_ERR_BASE</ref> + 5))</initializer>
        <briefdescription>
<para>Failed to start TCP server. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="104" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="104" />
      </memberdef>
      <memberdef id="group__http__server__defines_1gaf37af643cc83b846b489ddc5c0f19f0c" kind="define" prot="public" static="no">
        <name>CY_RSLT_HTTP_SERVER_ERROR_UNSUPPORTED</name>
        <initializer>((cy_rslt_t)(<ref kindref="member" refid="group__http__server__defines_1gadf0bfe131ef6b6df00ccd63fc5c3f97d">CY_RSLT_HTTP_SERVER_ERR_BASE</ref> + 6))</initializer>
        <briefdescription>
<para>Feature not supported. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="106" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="106" />
      </memberdef>
      <memberdef id="group__http__server__defines_1gadc67324a1bbca349985d93bc79a57d9d" kind="define" prot="public" static="no">
        <name>CY_RSLT_HTTP_SERVER_ERROR_BADARG</name>
        <initializer>((cy_rslt_t)(<ref kindref="member" refid="group__http__server__defines_1gadf0bfe131ef6b6df00ccd63fc5c3f97d">CY_RSLT_HTTP_SERVER_ERR_BASE</ref> + 7))</initializer>
        <briefdescription>
<para>Bad argument/parameter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="108" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="108" />
      </memberdef>
      <memberdef id="group__http__server__defines_1ga1ed8eeca1b0a95ddf9e5392eb6ff8591" kind="define" prot="public" static="no">
        <name>CY_RSLT_HTTP_SERVER_ERROR_NOT_FOUND</name>
        <initializer>((cy_rslt_t)(<ref kindref="member" refid="group__http__server__defines_1gadf0bfe131ef6b6df00ccd63fc5c3f97d">CY_RSLT_HTTP_SERVER_ERR_BASE</ref> + 8))</initializer>
        <briefdescription>
<para>Resource not found. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="110" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="110" />
      </memberdef>
      <memberdef id="group__http__server__defines_1ga7f11e40b478453160843230b18ee3857" kind="define" prot="public" static="no">
        <name>CY_RSLT_HTTP_SERVER_ERROR_PARTIAL_RESULTS</name>
        <initializer>((cy_rslt_t)(<ref kindref="member" refid="group__http__server__defines_1gadf0bfe131ef6b6df00ccd63fc5c3f97d">CY_RSLT_HTTP_SERVER_ERR_BASE</ref> + 9))</initializer>
        <briefdescription>
<para>Partially processed. </para>        </briefdescription>
        <detaileddescription>
<para>Returned by application's receive callback </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="112" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="112" />
      </memberdef>
      <memberdef id="group__http__server__defines_1ga9984e926fea988cbf4872348e2370c55" kind="define" prot="public" static="no">
        <name>CY_RSLT_HTTP_SERVER_PAGE_DATABASE_FULL</name>
        <initializer>((cy_rslt_t)(<ref kindref="member" refid="group__http__server__defines_1gadf0bfe131ef6b6df00ccd63fc5c3f97d">CY_RSLT_HTTP_SERVER_ERR_BASE</ref> + 10))</initializer>
        <briefdescription>
<para>Exceeded maximum number of resources. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="114" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="114" />
      </memberdef>
      <memberdef id="group__http__server__defines_1gaf18faa0179a6087e4b03d9a81d02010e" kind="define" prot="public" static="no">
        <name>CY_RSLT_ERROR</name>
        <initializer>((cy_rslt_t)(<ref kindref="member" refid="group__http__server__defines_1gadf0bfe131ef6b6df00ccd63fc5c3f97d">CY_RSLT_HTTP_SERVER_ERR_BASE</ref> + 11))</initializer>
        <briefdescription>
<para>HTTP server generic error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="116" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="116" />
      </memberdef>
      <memberdef id="group__http__server__defines_1ga6e47b484776a72216039a2af358bcedc" kind="define" prot="public" static="no">
        <name>MAX_NUMBER_OF_HTTP_SERVER_RESOURCES</name>
        <initializer>(10)</initializer>
        <briefdescription>
<para>Max number of resources supported by the HTTP server. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Change this macro to support more resources. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="123" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="123" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>HTTP server preprocessor directives such as results and error codes. </para>    </briefdescription>
    <detaileddescription>
<para>Middleware APIs return results of type cy_rslt_t and are composed of three parts:<itemizedlist>
<listitem><para>module base</para></listitem><listitem><para>type</para></listitem><listitem><para>error code</para></listitem></itemizedlist>
</para><para><simplesect kind="par"><title>Result Format</title><para /></simplesect>
<verbatim>           Module base         Type    Library specific error code
   +---------------------------+------+------------------------------+
   |CY_RSLT_MODULE_HTTP_SERVER | 0x2  |           Error Code         |
   +---------------------------+------+------------------------------+
             14-bits            2-bits            16-bits

See the macro section of this document for library-specific error codes.
</verbatim></para><para>The cy_rslt_t data structure is a part of cy_result.h in Mbed OS PSoC 6 MCU target platform, located in &lt;mbed-os/targets/TARGET_Cypress/TARGET_PSOC6/psoc6csp/core_lib/include&gt;</para><para>Module base: This base is derived from CY_RSLT_MODULE_MIDDLEWARE_BASE (defined in cy_result.h) and is an offset of the CY_RSLT_MODULE_MIDDLEWARE_BASE. The details of the offset and the middleware base are defined in cy_result_mw.h, which is part of <ulink url="https://github.com/cypresssemiconductorco/connectivity-utilities">Github connectivity-utilities</ulink> For example, the HTTP server uses CY_RSLT_MODULE_HTTP_SERVER as the module base.</para><para>Type: This type is defined in cy_result.h and can be one of CY_RSLT_TYPE_FATAL, CY_RSLT_TYPE_ERROR, CY_RSLT_TYPE_WARNING or CY_RSLT_TYPE_INFO. AWS library error codes are of type CY_RSLT_TYPE_ERROR.</para><para>Library-specific error code: These error codes are library-specific and defined in the macro section.</para><para>Helper macros used for creating library-specific results are provided as part of cy_result.h. </para>    </detaileddescription>
  </compounddef>
</doxygen>